Zonemaster::Test::Nameserver(3pm)

NAME
Zonemaster::Test::Nameserver - module implementing tests of the properties of a name server

SYNOPSIS
    my @results = Zonemaster::Test::Nameserver->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

version()
    Returns a version string for the module.

TESTS

nameserver01($zone)
    Verify that nameserver is not recursive.

nameserver02($zone)
    Verify EDNS0 support.

nameserver03($zone)
    Verify that zone transfer (AXFR) is not available.

nameserver04($zone)
    Verify that replies from nameserver comes from the expected IP address.

nameserver05($zone)
    Verify behaviour against AAAA queries.

nameserver06($zone)
    Verify that each nameserver can be resolved to an IP address.

nameserver07($zone)
    Check whether authoritative name servers return an upward referral.

nameserver08($zone)
    Check whether authoritative name servers responses match the case of every letter in QNAME.

nameserver09($zone)
    Check whether authoritative name servers return same results for equivalent names with different cases in the request.